Page MenuHomePhabricator

Please restrict anonymous users from creating new pages at sw.wikipedia
Closed, ResolvedPublic

Description

(I've been approached [1] at Meta by a swwiki bureaucrat who asked me if I could pass his request there [2], so here I am).

The sw.wikipedia folks kindly requests you to please disable anonymous users from creating content over there. I think removing 'createpage' and 'createtalk' permissions from the '*' group would do it.

The also asked me if they could disable anonymous editting entirely, which I told that I thought it'd not be possible in principle.

They have voted for this change. The poll is linked in the URL field of this bug.

Thanks in advance.

Refs.:

[1]: <http://meta.wikimedia.org/w/index.php?title=User_talk:MarcoAurelio&oldid=4776427#Advice_on_change_of_settings_in sw-wikipedia>
[2]: https://sw.wikipedia.org/w/index.php?title=Majadiliano_ya_mtumiaji:Kipala&oldid=833720#Reply_from_Meta


Version: wmf-deployment
Severity: normal
URL: https://sw.wikipedia.org/w/index.php?title=Wikipedia:Jumuia&oldid=834652#Pendekezo:_Utaratibu_wa_kuanzisha_makala

Details

Reference
bz42894

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz42894.
bzimport added a subscriber: Unknown Object (MLST).

Disabling anonymous editing is indeed out of the question as it goes against a long-established Foundation principle. Can you ask them if they really want to disable talk page creation cause that's the only way anons can communicate about article problems? I know there's a precedent for eswikibooks, but that's really creepy.

Disabling anonymous editing entirely is absolutely out of the question, disabling createtalk should be out of the question too.

While disabling the creation of pages by anonymous users might be a required as useful thing, undesirable as it anyway is, disabling the ability of anonymous users to comment on articles, discuss them and so on is unacceptable imo.

We encourage users to use talk page to discuss changes, and we block them if they repeatedly try to shove their changes without engaging in discussion. It is ridiculous to forbid them from engaging in discussions unless somebody has created a talk page too. This also applies to COI issues, where it is desirable that the subject of an article not edit said article directly but comment on inaccuracies on the talk page.

I suggest that the createtalk request be rejected and not implemented. It is, I believe, unprecedented, and shows a very distressing attitude towards our valued anonymous contributors.

It should also be noted that there are plenty of reasons why you'd want abusive users on IPs and not on accounts.

Jorm added a comment.Dec 9 2012, 7:10 PM

There is precedent for disabling page creation in the main namespace for anonymous users (the English Wikipedia does this) when it is shown that the volume of bad-faith articles created by anonymous users overwhelms the community's ability to curate them.

That is, however, the only restriction. I concur with Snowolf: the createtalk request must be rejected and not implemented. It stands directly in opposition of the values held by the movement.

I'm doing best guess from a quick glance at the logs but it looks to me like there are three active admins, maybe only two on a daily basis, and in the last two weeks 10 articles were deleted from the main namespace that had been created by anonymous users.

If this is right, I'd much rather work with the local community to figure out how we can make cleanup of junk pages less painful than turn off page creation for anons.

As far as page talk creation, or disabling anon edits completely, we can't go there. Like many hundreds of thousands of other users on these projects, I got my start by an anonymous edit, and that is in huge part what makes these projects successful. Welcoming anonymous contributions is a core Wikimedia principle that would take major discussion at community, board and foundation levels to walk away from.

I am the admin who asked MarcAurelio to bring the request here.

MaxSemenik: We had not thought through the aspect of talk pages.I agree that this extent is not desirable. If wikipedia has no technique to differentiate - I think I can speak for the users that we pull back on that aspect.

Brandon Harris: You hit the point on "overwhelming"; in our language culture the problem is less "bad faith" but unexperienced casual users who do not think much about (western style) rules and hve bad command of written language; by our scale we have a flood of East Africans who write faulty language (having had all or higher education in English while speaking Swahili slang) or take the shortcut via google-translated when they lack the words to translate themselves (and have no dictionary); we also have lots of google-translated stuff from people who do not know the language at all and just want to spread their pet topic.. Google translate does not work for Swahili, we still have lots and lots of unrevised ugly entries from the google-sponsored sw-wikipedia competition which a naive wellwisher from the foundation agreed on with the google people (some laptops to win..)

Ariel T Glenn: We are at the moment not 2 on a daily basis. I myself had been practically out for some months with only few visits. The number of deletes does not reflect what we should have deleted. It is only 2 of us - not daily present- who have this year worked on delete proposals and carried out deletes.
At the moment we are too few and not daily present. There is a backlog for the potential of our input. (and we prefer to work forward towards article cration)

There is other aspect we discussed in Swahili: many casual visitors do not have own computer but come from internet cafes, thus with always changing IPs. this makes it very difficult communicating with them what we have tried for a long time.

Any limitation you can give us will be a great help.
Please do not treat us worse than en.wikipedia.

It might be worth pointing out to the reasons and context of what lead enwiki to prevent mainpage creations: https://en.wikipedia.org/wiki/Wikipedia:Wikipedia_Signpost/2005-12-05/Page_creation_restrictions especially

With the number of articles on the English Wikipedia approaching one million, Vibber commented that creation of new articles "is less of a priority than it was two or three years ago, while tuning up existing articles is quite important."

Who is going to take some action? I retracted on edits only, we talk about disabling page creation in the main namespace for anonymous users. Please help us with this.

You could launch a discussion on meta. to get more community feedback on what is acceptable as edit restriction practices.

Kindly help me with some information about the rules. Who is in charge to take a decision on this matter? Is this the right place or not? Is this a panel or more of an discussion group? With or without competence to decide ?

If Meta: where??? With whom?

(In reply to comment #9)

Who is in charge to take a decision on this matter?

The local wiki community first. The whole Wikimedia community then.

Is this the right place or not?

No, Bugzilla is only for *technical* requests.

Is this a panel or more of an discussion group? With or without competence to decide ?
If Meta: where??? With whom?

Open a new entry http://meta.wikimedia.org/wiki/Requests_for_comment

I would suggest a broader issue (e.g. "Conditions to restrict anonymous users edition") rather than a sw.wikipedia specific one.

Every Wikimedia project member will so be able to comment this issue. When the discussion leads to a consensus, you can compare your proposal to this consensus, and if needed, rediscuss the matter on sw.wikipedia.

[ Notes ]

(1) Ariel Glenn notes the matter should be discussed with the foundation and with the board. I beg to differ, the Foundation and the Board can make some recommendations, but this kind of issues (the balance between accessibility and protection) is clearly a community one; The Wikipedia principles are a community matter. Even if my opinion isn't shared by some, I would strongly recommend to start to focus on the community one. Even in the case someone thinks other levels have to be implied, a community discussion would still be necessary.

(2) You could, in parallel with your meta discussion, and as already suggested, collaborate with technical persons to explain your needs to fight vandalisms and explore other possibilities.

Sorry if I ask again. Why is sw.wikipedia to be subjected to such a lenghty procedure as other wikipedia obviously have not had to undergo this? I quote:

http://meta.wikimedia.org/wiki/Newly_registered_user
Moreover, a very small minority of wikis requires autoconfirmed to create new pages: en.wiki, id.wiki, fa.wiki, ta.wiki and es.books as of 2011.
<<<<<<
We have taken a vote and decision to join them. (i.e. i am not sure if we want "autoconfirmed" - we want registered users so that we can communicate with them)

So who is the none who can give this to us ?

So, to summarize, if I well understand, you settle to only restrict the createpage right.

This possibility has been commented, and you didn't address the two following comments concerns:

(In reply to comment #3)

There is precedent for disabling page creation in the main namespace for
anonymous users (the English Wikipedia does this) when it is shown that the
volume of bad-faith articles created by anonymous users overwhelms the
community's ability to curate them.

Brandon Harris seems to answer your question, suggesting they've demonstrated the community weren't able to cope with page creation vandalism.

Could you explain what kind of vandalism you would be able to avoid and can't currently manage?

(In reply to comment #4)

If this is right, I'd much rather work with the local community to figure out
how we can make cleanup of junk pages less painful than turn off page
creation
for anons.

Ariel T. Glenn offers you to work with you on an alternative solution.

Could you see if you can collaborate together on this matter?

If you wish to bypass these two technical/community objection arguments, it seems to me you then need a broader community approval.

(after edit conflict!)

(In reply to comment #10)

"...major discussion at community, board and foundation levels " meaning that even were the Wikimedia community to decide for example that we should disable page creation by anons on all projects, that by itself would not be sufficient to get the policy implemented, since we are taking about a core principle of the Wikimedia projects. But by the same token the WMF could not decide by itself to make such a move either.

(In reply to comment 5)

I don't think ease of communication is a substantial reason to exclude anonymous article creation. I am sympathetic about the workload, but it still seems to me that we should check with the countervandalism unit for small wikis to see if something could be worked out as an alternative.

If you want broader input meta is the place for that; here at bugzilla you'll get about 5 sets of eyeballs, not exactly a large sample.

(In reply to comment #12)

This possibility has been commented, and you didn't address the two following
comments concerns:

I had replied to #3 / Brandon Harris! (see above #5)

Could you explain what kind of vandalism you would be able to avoid and can't
currently manage?

Our Problem is the a) the small number of presently 5 constantly active wikipedians (NOT daily) b) amount of bad quality articles and contributions stemming from faulty language either by East Africans (used to slang) or by foreigners who do a lot of edits without knowing the language. c) edits by local users who do not know, understand or care about formats and rules for relevant content. Our Problem is rarely malevolent entries. d) And we have a considerable backlog from that google competition I mentioned with lots of bad google-translation stuff.
We see a chance to go for the anonymous c)people because on the way we had again and again people who came on board for months and years after we had taken the chance to write them notices to their IP. Which we do not do any more because of volume. Please try to imagine that in Esat African environment it is much more difficult becasue so few people have access to own internet so they go by cafes or Uni but always changing IPs. And more change because life is harder and less people with time AND access

(In reply to comment #4)
> If this is right, I'd much rather work with the local community to figure out
> how we can make cleanup of junk pages less painful than turn off page
> creation
> for anons.

Ariel T. Glenn offers you to work with you on an alternative solution.
Could you see if you can collaborate together on this matter?

Sorry I did not answer this. Gladly - he can spend his next weeks with us clearing up and checking and correcting faulty language and formats.

If you wish to bypass these two technical/community objection arguments, it
seems to me you then need a broader community approval.

No I do not want to bypass anything! I gladly explain whatever question you have and take your advice.
Unless rules have changed i would just like to get the same chance as the people at Farsi, Tamil and Indonesian who may have had similar experiences (I just guess).

My biggest concern with turning off anonymous page creation for sw.wiki is that sw.wiki is still in its infancy. It only has 25,000 articles. At this stage you shouldn't be worried about articles having correct grammar. The main focus should be on getting more information on the wiki. Disallowing anonymous page creation at this early stage would be shooting the project in the foot. I would not support disabling anon page creation for any wiki with less than 100,000 articles.

I'm sorry that this request has not received a clear answer in more than three months... As a volunteer, in my full capacity as Nobody, I assure you that this won't be done: we're not going to further restrict page creation on any project.
See https://meta.wikimedia.org/wiki/Limits_to_configuration_changes for background and feel free to complain on talk page there.

As for sw.wiki, I suggest you to explore the solution that was developed for this sort of problem: https://www.mediawiki.org/wiki/Extension:PageTriage
It's used only on en.wiki (because they made a similar request a few months ago), but if you want to get it enabled I'll be happy to help reporting any internationalisation issue etc. so that it can work for you too.

PageTriage as it's constructed now is pretty much impossible to internationalise, although we're working on building a schema that'll let us internationalise workflow-based extensions more easily.

Ijon added a subscriber: Ijon.Feb 2 2015, 8:12 PM
Jalexander set Security to None.
Jalexander reopened this task as Open.
Jalexander added a subscriber: Philippe-WMF.

I was approached a couple months ago about this again (By Asaf who was approached by members of the swWiki community). They still want it and had another discussion about it (after I asked for a new consensus) on wiki. While it is sad that it would come to this I think that it is appropriate for us to give them what they ask for, especially since it's already done for other wikis. I'll be submitting a patch for it and plan to get it merged Tuesday or so.

Change 195197 had a related patch set uploaded (by Jalexander):
Disable anonymous page creation on swWiki

https://gerrit.wikimedia.org/r/195197

For the record the patch I submitted does not disable talk page creation to allow IPs to leave comments about articles etc.

Jorm added a comment.Mar 9 2015, 2:27 AM

Do you mean "disable anonymous mainspace creation" or "disable anonymous page creation (talk + main)", or what the original request was for "disable anonymous editing?"

I can't see anyone thinking that disabling anonymous editing is a good thing, and I don't think disabling talk page creation by anonymous users is acceptable, either.

Maybe this is actually a new issue?

Jalexander added a comment.EditedMar 9 2015, 2:32 AM

Do you mean "disable anonymous mainspace creation" or "disable anonymous page creation (talk + main)", or what the original request was for "disable anonymous editing?"

I can't see anyone thinking that disabling anonymous editing is a good thing, and I don't think disabling talk page creation by anonymous users is acceptable, either.

Maybe this is actually a new issue?

While in the original request they talked about anonymous editing in general because of the spam problems that was shot down (as far as I can tell) even before the bug got filed. The request filed was then for Talk + Main page creation disabling, I am disabling just Main pages (not talk, because disabling talk causes a lot of issues with being able to comment on article talk pages etc).

I'm obviously fine if someone wants to split it but I think it's essentially the same request (and they did as well) just pared down a bit and since the people most likely to be interested were already on this task it made sense to me to put it here.

greg added a subscriber: greg.Mar 9 2015, 11:56 PM

While in the original request they talked about anonymous editing in general because of the spam problems

So the reason is still spam problems or is there another one?

From personal experience of running a private wiki, that is not going to stop the spammers, they will just create user accounts and use them and you will have a ton of spam users in your database.

Better solutions for fighting spam would be Extension:ConfirmEdit with one of several captchas and Extension:SpamBlacklist with updates from a central list like the one used by a major Wikipedia.

Nemo_bis closed this task as Declined.EditedMar 10 2015, 12:02 AM
Nemo_bis claimed this task.

Hi, thanks for your discussion.

I notice, among other things, that:

  • the discussion lasted only about 10 days, which is unusual for such a matter;
  • only 6 users participated, while there are about a dozen active editors: the number is small enough that it should be possible to involve them all, instead the discussion gathered a similarly low participation as last time;
  • recent research was not considered.

More to the point, there is currently no consensus that such a configuration change is compatible with our founding principles and there is a long-standing practice (or global consensus) to reject further restrictions of editing. There is therefore no new reason to revisit the decision to reject this request.

To the contrary, while article creation has sometimes been restricted in the past on some wiki, recent research has amply proven that nowadays it's counterproductive. Not only we have no reason to revisit the past decision, but we have ample reason to reinforce it.

It looks like one of the main people doing page patrolling on sw.wiki is, strangely enough, SJ. He deleted more articles on sw.wiki than anyone else last month (9), yet he did not participate in either of the discussions (probably because he's not a native speaker of Swahili). I'm curious what his take on this is. According to the logs, there were only 18 articles deleted on sw.wiki last month. I have no idea how many of those were created by anons, but even if all of them were, that's still a really small number. Is the community really overwhelmed by anonymous page creation or is it just that they want to eliminate bogus articles from the wiki?

Ijon reopened this task as Open.Mar 10 2015, 12:52 AM

I request more opinions on this before it is declined. The core of this community got together and made this request, which is neither unprecedented nor contrary to "global consensus". Nemo seems particularly passionate about not allowing this configuration change, judging by his involvement in past discussions (and DECLINE actions). I suggest that he may be on a far end of the scale regarding this matter, and I submit that this should not trump a particular community's demonstrated wish.

Alongside principles of openness and privacy, we must also think of things like community health. If these longtime editors, citing exhaustion with spam and vandal fighting, are asking us for help in this way and are denied, what is the effect on their motivation? Is it worth it, in this case?

(and while the active conversation may have only lasted 10 days, it's been up on the village pump for over a month. Everything we know (and I have personally discussed this with more than one of them) points to community consensus on this. Also, the 6 who participated are significantly more active, and more consistently so, than the other active editors.)

Dzahn: your suggestions make sense. The SWWP community, however, is not blessed with technical users at all, and has already been finding the process of requesting this change very exhausting (I encouraged them to try again). I think they would welcome help enabling these extensions on their wiki, but they're unlikely to find the gumption or technical skill to take action on these proposals.

Finally, stating the obvious: it is they who are fighting spam/vandalism on that wiki, not us. (perhaps aided by the Small Wiki Monitoring Team, sure). It is unfair to deny them what is allowed some other wikis, large and small.

I ask that this decision be reviewed by others.

Sj added a subscriber: Sj.EditedMar 10 2015, 4:23 AM

I support implementing this request, for page creation. Possibly as a trial, revisiting it in 6 months for another community chat informed by before/after data. (We need better data and should actively run more experiments like this on individual wikis: currently limited in part by the small range of wikis that want it to happen.)

This discussion on sw:wp reached a significant portion of the community, last time and this time, including those who care most about editing policy. Reaching half of all active editors (and 3x the very active editors) is significant; that's much more uniform agreement than the earlier tr:wp request had.

@Dzahn: the problem is not spammers (who often make accounts), but simply a high proportion of nonsense or slang to useful stubs, and most of those (roughly 1 every 5 days) are from editors who forgot to log in, not newbies).

@kaldari: newpage nonsense is mainly a low-volume symbolic nuisance, and newpages from anons are even more low-volume. But given the current situation (2 thorough requests over 3 years, strong local consensus) I think on balance this request deserves a positive response (either implementing or suggesting local practice that would allow implementing).


It might also help to have a standard checklist to propose when these requests come up. For instance:

  • If spam is a problem: use abusefilters and blacklists [get help at <link>]
  • Get input from > half of very active users <link to stats>
  • Try FlaggedRevs [get help at <link>]
  • Port ClueBot? [get help at <link>]
In T44894#1102900, @Sj wrote:

@Dzahn: the problem is not spammers (who often make accounts), but simply a high proportion of nonsense or slang to useful stubs, and most of those (roughly 1 every 5 days) are from editors who forgot to log in, not newbies).

How would you define nonsense?

Is slang easy to detect with a regular expression? that sounds like it should be a good fit for editfilters

Also, what is the alternative for an IP to make a new article? is there an AfC system, draft NS, or other infrastructure to handle these submissions?

This is a hard question because there are competing values at play.

In terms of fairness, the English Wikipedia and other wikis restrict page creation already. The English Wikipedia actually goes even further by disallowing anonymous editing on mobile altogether. In terms of principles, open editing is at the heart of Wikimedia and the various examples of restricting editing are anti-patterns. We also place a lot of value in wiki sovereignty: individual communities are typically allowed wide discretion in establishing wiki culture and norms. And thoughtful consideration must be a key component in decision-making, of course, which thankfully doesn't seem lacking here.

If implementing this change for swwiki, we should add a soft or hard restriction. A soft restriction might be an associated code comment that's a "FIXME" for the future. A hard restriction might be an automatic timer that reverts this setting after a specified period of time. I basically agree with @Sj that we can move forward with this, but only as a short-term or medium-term fix. In the long term, we need to address the underlying issues.

Jorm added a comment.Mar 10 2015, 4:58 AM

There exists a precedent with pt.wp where the steps to implement an acceptable solution were going to take too long to implement. I think a similar thing can be done here: restrict article creation to registered users only for a hard period of 6 months, after which that restriction is removed.

During this period, better, alternative measures can be put into place.

Risker added a subscriber: Risker.Mar 10 2015, 8:22 PM

Given the report that the main editing community at swwiki is not technically knowledgeable, the majority of suggested alternatives here are far more opaque than helpful. Abuse filters only work if you have people who are knowledgeable and skilled enough to develop and manage them. Flagged revisions don't prevent page creation, and someone has to patrol the pages. ClueBot doesn't prevent page creation either.

"Alternative measures" only work if they do not require skills that are not held within the community, resolve the problem identified by the community, and do not force additional and unrequested workload onto a community.

Jalexander added a comment.EditedMar 11 2015, 12:28 AM

It sounds like the consensus is to go ahead for now, sadly, and work to try and find better options. Also to revisit the issue in 6 months or so. I've gone ahead and amended the patch with a FIXME to reverify around September 15th. In my mind trying to put this into the Wednesday evening SWAT sounds right. I'll add it to the queue there tonight.

Change 195197 merged by jenkins-bot:
Disable anonymous page creation on swWiki

https://gerrit.wikimedia.org/r/195197

Jalexander closed this task as Resolved.Mar 11 2015, 11:38 PM

It sounds like the consensus is to go ahead for now, sadly, and work to try and find better options. Also to revisit the issue in 6 months or so. I've gone ahead and amended the patch with a FIXME to reverify around September 15th. In my mind trying to put this into the Wednesday evening SWAT sounds right. I'll add it to the queue there tonight.

This has been merged.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 5:25 PM

Change 236045 had a related patch set uploaded (by Jforrester):
Revert "Disable anonymous page creation on swWiki"

https://gerrit.wikimedia.org/r/236045

@greg, I thought we were supposed to check in with sw.wiki on September 15 (before reverting anything). Has anyone talked to them?

greg added a comment.Sep 10 2015, 1:31 AM

@greg, I thought we were supposed to check in with sw.wiki on September 15 (before reverting anything). Has anyone talked to them?

@kaldari: I was going off of this comment:

It sounds like the consensus is to go ahead for now, sadly, and work to try and find better options. Also to revisit the issue in 6 months or so. I've gone ahead and amended the patch with a FIXME to reverify around September 15th. In my mind trying to put this into the Wednesday evening SWAT sounds right. I'll add it to the queue there tonight.

If a discussion is still needed, then let's have one and not do the revert.

Let me know if I should remove it from the SWAT window.

That comment says to revisit and reverify, not to revert :) I just want to make sure that we aren't going to inadvertently piss off the sw.wiki community (if we don't have to). @Sj, are you still active on sw.wiki? Would you be willing to be our liaison for this? If not, we could hopefully find an official Community Liaison to help.

@greg, personally, I would favor holding off on the SWAT deploy until we have heard something back from sw.wiki.

greg added a comment.Sep 10 2015, 4:22 PM

Thanks @Nemo_bis.

@kaldari: the language on the announcement back in March was: "The change was implemented but will be reverted on 2015-09-15 unless there is a demonstration that all alternatives fail." There has been no follow up since that date (on that thread at least) that I could see.

I'll wait for any responses to Nemo's ping on the thread/VP, but I'll work under the assumption that we will be reverting on the 15th unless I hear otherwise.

@greg: sounds fair to me.

Bennylin removed a subscriber: Bennylin.Sep 11 2015, 9:41 AM

Four Swahili editors have commented on-wiki about reverting the change. All of them oppose reverting it and want to continue to restrict page creation to logged in users only.

By now 5 have commented, all pro status quo. We do in fact have a huge degree of consensus amongst our active editors. Of those 15 listed by stats.wikimedia.org as "active editors" (+5 edits) for last month there are only 8-9 actually speaking the language and thus able to join any community discussion and thus countable. (I gladly provide more details). Of the 3-4 who have not yet commented only 1 has ever participated in a discussion.

Compared to other decisions shown at https://meta.wikimedia.org/wiki/Limits_to_configuration_changes this is a super high degree of consensus not reached by any large wikipedia. I think it would be fair to note this.

I am grateful for the work guys like you do. But please try to understand that a small wikipedia works differently from the big ones in many things. The research you may refer to at [https://meta.wikimedia.org/wiki/Research:Wikipedia_article_creation#RQ.C2.A02:_How_successful_are_new_editors_in_creating_articles_in_Wikipedia.3F] is rather not applicable due to different user and usage structures. And even if our edit-and-delete numbers may look tiny to you - I guess none of you had to manage such situations with only 4-5 editors available altogether, not daily and often not even weekly that number.

Our situation has improved during the last months, less bad entries accumulates, and we were able to start discussions with new participants whom we had otherwise just blocked.

we were able to start discussions with new participants whom we had otherwise just blocked

This is a short-term benefit and has already been achieved (now they are registered users). This tells us nothing about the next generation of users.

Sj added a comment.Sep 13 2015, 1:46 PM

Echoing Risker - what alternative measures do you propose, given that the current community is not used to technical hacks?
Abuse filters are tricky to use. Is PageTriage easy to localize now into Swahili?

SJ & Risker: If anybody sees a technical solution - wonderful! Who is going to build a database for a filter in Swahili?? We do not have that capacity. I doubt it is a technical problem to be solved by a technical solution.
We are just very few active editors (in fact 4-5, not daily; luckily but intermittently with assistance from a few spam hunting meta-stewards and small wiki monitoring team).
Our target group are Swahili speaking internet users; mostly Tanzanians, with a surprisingly high percentage of US-IP-adresses (homesick students?). All of them speak Swahili daily, few of them write it regularly because African internet users are "better educated" which means educated mainly in some form of English. That is why we have the persistent problem of very frequent faulty Swahili in entries - and even more the problem of off-standard edits. (and the slightly ironical situation that that "we" non-Africans (4 of us steady editors) correct the language of Tanzanians).
We keep on working because we all believe that the situation is going to change (can give reasons) and thus it is worthwhile.

During the past 6 months we had no decrease in article creation, but for us a felt reduction in new articles / edits we had to delete or to work on.

greg added a comment.Sep 14 2015, 3:59 PM

just fyi: I removed it from the schedule for tomorrow pending any clear decision here, but I'm mostly afk this week, so I defer to @kaldari.

Change 236045 abandoned by Greg Grossmeier:
Revert "Disable anonymous page creation on swWiki"

Reason:
Abandoning for now, can reinstate if/when we need to.

https://gerrit.wikimedia.org/r/236045

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptFeb 13 2016, 3:25 PM

Change 279140 had a related patch set uploaded (by Dereckson):
Remove T44894 FIXME note

https://gerrit.wikimedia.org/r/279140

Change 279140 merged by jenkins-bot:
Remove T44894 FIXME note

https://gerrit.wikimedia.org/r/279140

Mentioned in SAL [2016-03-25T15:32:00Z] <demon@tin> Synchronized wmf-config/InitialiseSettings.php: Remove T44894 FIXME note (duration: 00m 27s)

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptAug 21 2017, 1:12 PM